List currencies available in the branch
curl --request GET \
--url https://api.example.com/api/v1/partner/public/currencies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/partner/public/currencies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/partner/public/currencies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 1,
"name": "US Dollar",
"ticker": "USD",
"image": {
"id": "cbcfa8b8-3a25-4adb-a9c6-e325f0d0f3ae",
"path": "/uploads/usd.png"
}
}
]{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 429,
"message": "Too Many Requests"
}Public
List Public Currencies
Returns all distinct currencies from active offers across the branch’s exchanges.
GET
/
partner
/
public
/
currencies
List currencies available in the branch
